
Summary: a basic mathematical package for X11
Name: mtk
Version: 1.3.0
Release: 1
URL: http://www.chiark.greenend.org.uk/~andrewr/mtk.html
Copyright: GPL, version 2 (or newer)
Group: X11/Applications/Math
Packager: John C. Peterson <jaypee@netcom.com>
Source: http://www.chiark.greenend.org.uk/~andrewr/mtk-1.3.0.tar.gz
Patch: mtk-1.3.0-linux.patch
Buildroot: /tmp/build_root

%description
Mtk is a basic mathematical package for X11. It makes no claim to
rival large commercial computer algebra systems but it is handy for
quickly doing small calculations. The main window of the application
consists of a list of equations and an output display. Equations can be
entered in. Mtk supports a large range of common functions and there
will hopefully be more in the future. Equations can be acted on in
a variety of ways. They can be evaluated for given variable values,
differentiated, numerically integrated, roots found, power series found,
graphs plotted and differential equations solved. For more details see
the man pages and try the program out!

Note: this program needs the Qt library which is a library of C++
classes to make programming X11 applications easier. You need at least
version 1.2 for mtk to work correctly. Make sure you have the qt
development tools (moc) and the include files installed. Qt is available
from http://www.troll.no/ if you don't already have it. The library is
distributed under several different licenses but a version is available
free for non-commercial use. (RPM packaged distributions are provided!)

(C) 1994-1997 Andrew Ross (anr1001@chiark.greenend.org.uk)

%prep
%setup
%patch -p1

%build
make

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
# install the executable
install -m755 -s mtk $RPM_BUILD_ROOT/usr/X11R6/bin/mtk
# install the man page
cp -p mtk.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/mtk.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/mtk.1x


%files
%doc CHANGES COPYING README example.mtkrc examples.mtk
/usr/X11R6/bin/mtk
/usr/X11R6/man/man1/mtk.1x
